<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>

	<!-- Creates a container element used to group HTML elements -->
	<!-- "header" value is used for Search Engine Optimization (SEO) -->
	<!-- <div id="header"> -->
	<header>	
		<h1>HTML Tables and Forms</h1>
	</header>	
	<!-- </div> -->

	<!-- Using HTML Semantic tags make our website optimized for SEO and it's easier to differentiate portions of code instead of finding matches for the closing div tags -->

	<!-- <div id="main"> -->
	<main>

		<!-- <div id="section"> -->

			<h2>HTML Entities</h2>
			<p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix ip with HTML code)</em></p>

			<!-- Defines an HTML table -->
			<table border="1">

				<!--  Used to group table header content -->
				<thead>

					<!-- Defines a table row -->
					<th colspan="2">Entity</th>
					<th>Description</th>

				</thead>

				<!-- Defines the table body content -->
				<tbody>
					<tr>
						<!-- Defines a table data elements -->
						<td>&lt;</td>
						<td>lt</td>
						<td>less than</td>
					</tr>
					<tr>			
						<td>&gt;</td>
						<td>gt</td>
						<td>greater than</td>
					</tr>
					<tr>			
						<td>&#8369;</td>
						<td>#8369</td>
						<td>peso sign</td>
					</tr>
					<tr>
						<td>&qout;</td>
						<td>qout</td>
						<td>double qoutation mark</td>
					</tr>
					<tr>
						<td>&apos;</td>
						<td>apos</td>
						<td>single qoutation mark (apostrophe)</td>
					</tr>
					<tr>
						<td>&ntilde;</td>
						<td>ntilde</td>
						<td>lower tilde</td>
					</tr>
					<tr>
						<td>&Ntilde;</td>
						<td>Ntilde</td>
						<td>upper tilde</td>
					</tr>
				</tbody>
				
				<!-- Used to group table footer content -->
				<tfoot>
					<tr>
						<th colspan="3">List of HTML Entities</th>
					</tr>
				</tfoot>		
			</table>
		</section>	
		<!-- </div> -->

		<!-- horizontal line -->
		<hr>

		<!-- <div id="section"> -->
		
		</section>	
			<h2>HTML Forms</h2>
			<p><em>Input elements that make up a form.</em></p>

			<!-- Creates an HTML form to capture user input -->
			<!-- "action" attribute is used to define whre the information will be sent upon submission -->
			<form action="https://www.google.com/">

				<!-- Different types of cases:

				PascalCas = First letter of each word is in uppercase
				CamelCase = First letter of second word is in uppercase
				Snake_Case = Use underscore to seperate the word
				Kebab-Case = Use dash/hypen to seperate the word (commonly used in CSS) -->

				<!-- Creates a label and allows for input field selection when clicked -->

				<!-- "for" is to pair a label and input field-->
				<label for="full_name">Full Name</label>

				<!-- 
				- <label> tag - creates a text element that will serve as a label for an input field. This creates an inline element.

				- <input> tag - creates a form input element to capture user input. This creates an inline element.

				- The "for" attribute is used with the "id" attribute in an input element. This allows the users to select the input field when they click on the label for a better user experience. Remove this attribute to demonstrate how it works. 

				- The "type" attribute will define what type of information the input field should have. Changing it's value will automatically change the bahavior of the input field.

				- The "name" attribute will provide the input field with a name that we can use to associate with the information provided by the user.

				- The "required" attribute will not allow the form to be submitted without any user input. Leave the input field empty to demonstrate how it works.

				- The "autocomplete" attribute will provide suggestions for text inputs for a better user experience. Try typing on the form and no suggestions will show. Submit the form and go back to the page and try typing again to demonstrate how it works.-->
				<input type="text" name="full_name" id="full_name" required autocomplete> <br>

				<label for="birth_date">Birth Date</label>
				<!-- "date" creates a field for calendar select date and in date format -->
				<input type="date" name="birth_date" id="birth_date" required> <br>

				<label for="age">Age</label>
				<!-- "number" creates a input field for number with arrow buttons for count -->
				<input type="number" name="age" id="age" required> <br>

				<label for="gender">Gender</label>

				<!-- Creates a dropdown -->
				<select name="gender" id="gender">
					<!-- Creates an option for the dropdown -->
					<!-- The first option in the code will the default value -->
					<!-- "selected" attribute is used to set the selected value -->
					<option value="" selected disabled></option>
					<option value="Male">Male</option>
					<option value="Female" selected>Female</option>
					<option value="Rather not to say">Rather not to say</option>
				</select> <br>

				<label for="notes">Notes</label>
				<textarea name="notes" id="notes" rows="5"></textarea><br>

				<!-- Radio Buttons -->
				<label>New User</label>

				<!-- Creates the radio button as input type -->
				<!-- "name" attribute should be the same for related radio buttons -->
				<input type="radio" name="new_user" id="user-type1" value="yes">
				<label for="user-type1">Yes</label>
				<input type="radio" name="new_user" id="user-type1" value="no">
				<label for="user-type1">No</label><br>

				<!-- Checkboxes -->
				<label>Role</label>

				<input type="checkbox" name="role1" id="role1"  value="developer">
				<label for="role1">Developer</label>

				<input type="checkbox" name="role2" id="role2"  value="student">
				<label for="role2">Student</label>

				<input type="checkbox" name="role3" id="role3"  value="manager">
				<label for="role3">Manager</label><br>

				<!-- Creates a button that will submit the form data -->
				<!-- "type" attribute will define how the button will behave. The value of "submit" is the button tag's default valve and is not nessesary to be included. Though, it's a good practice to have it added beacause forms can contain several buttons. -->
				<button type="submit">Submit</button>
				<button type="reset">Reset</button>	
			</form>
		<section>
		<!-- </div>	 -->
	<main>	
	<!-- </div> -->

<!-- billing@zuitt.co -->
</body>
</html>